roboforum.ru

Технический форум по робототехнике.

Вопрос о версиях .Net Framework

В этом разделе обсуждаются вопросы по использованию ПК и КПК в робототехнике.
Программирование, настройка, аппаратная часть.

Вопрос о версиях .Net Framework

Сообщение GlassEagle » 16 май 2012, 16:20

Имеется в виду .Net Framework именно для писюка, а ни какая не .Net Micro Framework (или там Compact).
На компе стоят .Net Framework версий 1, 2, 3, 3.5 (ставились (кто-то из них) вместе с Micro$oft robOtic Studio).
Можно ли все их снести и поставить .Net Framework 4.0? (Просьба вариант "попробовать" не предлагать - была б возможность, давно б попробовал.)

В инете нашол только вот такую шнягу (на сайте мелкомяхких):
"Платформа .NET Framework 4 обратно совместима с приложениями, которые были созданы с использованием .NET Framework версий 1.1, 2.0, 3.0 и 3.5. Другими словами, приложения и компоненты, созданные с использованием предыдущих версий платформы .NET Framework, будут работать и в .NET Framework 4.
Однако на практике эту совместимость можно нарушить на первый взгляд несущественными изменениями в платформе .NET Framework и изменениями в методах программирования. Например, улучшения в производительности в платформе .NET Framework 4 могут привести к состоянию гонки, которого не было в предыдущих версиях. Следует также иметь в виду, что такие действия, как использование жестко запрограммированного пути к сборкам .NET Framework, сравнение на равенство с конкретной версией платформы .NET Framework и получение значения частного поля с помощью отражения, нарушают обратную совместимость. Кроме того, каждая версия платформы .NET Framework содержит исправления ошибок и изменения, связанные с безопасностью, которые могут влиять на совместимость некоторых приложений и компонентов." (Micro$ost в своём репертуаре)
и "Если найти подходящий обходной путь для проблемы не удается, вспомните, что платформа .NET Framework 4 работает параллельно с версиями 1.1, 2.0 и 3.5. Чтобы запустить приложение в наилучшей для него среде, можно на целевом компьютере установить соответствующую версию платформы .NET Framework."
Когда я слышу слова "Первый закон робототехники", я вспоминаю анекдот про ноусэров.
GlassEagle
 
Сообщения: 160
Зарегистрирован: 14 окт 2009, 11:46
Откуда: Самара

Re: Вопрос о версиях .Net Framework

Сообщение hudbrog » 16 май 2012, 16:28

нельзя. должны стоять все вместе.
У меня в голове опилки и длинные слова меня только огорчают.
Аватара пользователя
hudbrog
 
Сообщения: 1585
Зарегистрирован: 14 май 2008, 15:49
Откуда: Москва
ФИО: Алексей

Re: Вопрос о версиях .Net Framework

Сообщение GlassEagle » 16 май 2012, 16:32

Вот чёрт. .Net Fr 4 у меня ужЕ на системный винт не лезет (по крайней мере, при инсталляции). Придётся что-то придумывать.
СПАСИБО!!
Когда я слышу слова "Первый закон робототехники", я вспоминаю анекдот про ноусэров.
GlassEagle
 
Сообщения: 160
Зарегистрирован: 14 окт 2009, 11:46
Откуда: Самара

Re: Вопрос о версиях .Net Framework

Сообщение Angel71 » 16 май 2012, 20:36

эт он шутя, сносите любую ненужную версию, если они вам так глаза мозолят. вы точно знаете, что у вас весь софт под 4й дотнет? :pardon: просто "обратно совместимы" эт дело такое, это и так и в тот же момент не совсем так (кроме того, что в цитате есть еще "немного" других нюансов). в общем дело ваше, у мелких есть утилита для удаления (анинстал немного не всё удаляет) :) имхо лучше темпЫ/кэши/бэкапы почистить, да файло гибернейта прибить. на покупку нового железа я так понимаю вы пока не созрели.
Аватара пользователя
Angel71
 
Сообщения: 10654
Зарегистрирован: 18 апр 2009, 22:18
Предупреждения: -1

Re: Вопрос о версиях .Net Framework

Сообщение hudbrog » 17 май 2012, 03:05

Нет, я не шутя. .net обратно практически не совместим, и, мало того, в большинстве случаев оной совместимости даже теоретически не предполагает. Удалять младшие версии дотнета - плохая идея, особенно это касается 1.1 и 2.0, под которые больше всего софта.
У меня в голове опилки и длинные слова меня только огорчают.
Аватара пользователя
hudbrog
 
Сообщения: 1585
Зарегистрирован: 14 май 2008, 15:49
Откуда: Москва
ФИО: Алексей

Re: Вопрос о версиях .Net Framework

Сообщение Angel71 » 17 май 2012, 05:32

:) часть моих утилит, откомпилированые ещё во времена 1го и 2го дотнета до сих пор прекрасно работают без перекомпиляции под 3.5/4й. не пашет только то, где жестко прописана версия или используются функционал, который больше не поддерживается в 3.5/4.
Аватара пользователя
Angel71
 
Сообщения: 10654
Зарегистрирован: 18 апр 2009, 22:18
Предупреждения: -1

Re: Вопрос о версиях .Net Framework

Сообщение hudbrog » 17 май 2012, 10:12

Дык, ты мой поинт и подтверждаешь сейчас. Что-то, очевидно, работать будет. Но не все. Вариант когда работает не все - плохой, на мой взгляд )
У меня в голове опилки и длинные слова меня только огорчают.
Аватара пользователя
hudbrog
 
Сообщения: 1585
Зарегистрирован: 14 май 2008, 15:49
Откуда: Москва
ФИО: Алексей

Re: Вопрос о версиях .Net Framework

Сообщение Angel71 » 19 май 2012, 13:15

я же и писал, что обратная совместимость штука с нюансами. :) да и с различными библиотеками, как и с софтом в общем это вполне нормальное явление. 1й в 202ом выпущен, 4й в 2010. :) 8 лет это вечность. накой тратить большую часть времени на реализацию обратной совместимости, недавая ни малейшего шанса нормально развивать фреймворк архитектурно? нада кому-то запустить старый софт, качай и ставь нужной версии фреймворк и запускай без всяких проблем. :pardon: или ради пары миллионных долей процентов пользователей таки стоит сдерживать развитие архитектуры и создавать кучу проблем, как это делает интел с х86? :D ну да, а потом все кричат, что интел унылое г-но по энергопотреблению.
Аватара пользователя
Angel71
 
Сообщения: 10654
Зарегистрирован: 18 апр 2009, 22:18
Предупреждения: -1


Вернуться в Компьютеры в роботостроении

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 1